Bug 24906 - Cursor in editor lost after opening a form
Cursor in editor lost after opening a form
Status: CLOSED WORKSFORME
Product: platform
Classification: Unclassified
Component: Window System
3.x
PC Windows ME/2000
: P3 (vote)
: 6.x
Assigned To: _ tboudreau
issues@platform
: FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-18 12:40 UTC by Jan Chalupa
Modified: 2008-12-22 20:32 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Chalupa 2002-06-18 12:40:16 UTC
[dev-200206180100, JDK 1.4.0, MDI]

Steps to reproduce:

1. Start IDE with a clean userdir.
2. In the sampledir, open the ClockFrame form by
double-clicking on its node in Explorer.
3. The IDE switches to the GUI Editing workspace.
Now, GUI designer comes up, followed by the Source
Editor, which overlaps the designer window. After
a while the GUI designer is moved to front again.
4. Click on the Editor window to bring it to front.
5. Click anywhere inside the Editor pane, cursor
is not visible. You can see in the editor status
bar that the current position in the editor
changed, but the cursor remains invisible.
Switching panes won't help. The workaround is to
switch to another workspace and than back to GUI
Editing.

It is reliably reproducible on my laptop with W2K,
Sun's JDK 1.4.0.

I'm not sure this is a form module problem. Feel
free to re-assign to editor or core.
Comment 1 Tomas Pavek 2002-06-19 18:58:35 UTC
My observation:
- it happens only for the first time after starting the 
IDE, but it happens reliably,
- switching workspace is not necessary,
- not only the cursor is not visible, it is also not 
possible to edit the text (no keyboard input), but it is 
possible to set cursor position or slect text by mouse,
- the cursor is not visible also in any other document 
opened in the editor, and even not in property sheets 
(Component Inspector), in-place renaming in explorer tree, 
etc, simply nowhere - the IDE is quite unusable,
- it helps just to switch to another application and back, 
or to invoke some dialog (e.g. Edit | Find).

I guess it would be worth trying to find out what's 
happening in winsys during opening form window. See also 
issue 21384 which might (or might not) be related.

Reassigning to core.
Comment 2 David Simonek 2002-06-24 19:09:24 UTC
Marek, do you have the code for finding "illegal" focus requests at
hand? I think this would be similar problem. Thx.
Comment 3 mslama 2002-06-24 19:32:01 UTC
No I do not have. It is easy: add AWTEventListener with FOCUS_EVENT
mask as in DefaultContainerImpl to parent: desktop or main window. Or
try to check events directly at DefaultContainerImpl.
Comment 4 Marek Grummich 2002-07-22 08:31:56 UTC
Target milestone was changed from '3.4' to TBD.
Comment 5 Marek Grummich 2002-07-22 08:39:13 UTC
Target milestone was changed from '3.4' to TBD.
Comment 6 Marek Grummich 2002-07-22 08:58:30 UTC
Target milestone was changed from '3.4' to TBD.
Comment 7 Marek Grummich 2002-07-22 09:03:17 UTC
Target milestone was changed from '3.4' to TBD.
Comment 8 Marek Grummich 2002-07-22 09:05:00 UTC
Target milestone was changed from '3.4' to TBD.
Comment 9 Marek Grummich 2002-07-22 09:08:13 UTC
Target milestone was changed from '3.4' to TBD.
Comment 10 Marian Mirilovic 2002-11-13 15:31:03 UTC
changed owner Dafe -> Peter Z.
Comment 11 Peter Zavadsky 2002-12-03 13:14:25 UTC
Again focus problem. Maybe FOCUS keyword is needed.
Comment 12 Marian Mirilovic 2002-12-06 18:19:24 UTC
reassign to Tim, new owner of AWT/Swing
Comment 13 _ tboudreau 2003-02-20 12:05:59 UTC
Reassigning back to Marek, owner of winsys.  Marek, assign it back
to me if you feel that's inappropriate - probably it is a winsys
issue.
Comment 14 mslama 2004-04-19 14:53:36 UTC
Assigning to Tim
Comment 15 _ tboudreau 2004-04-19 14:59:53 UTC
Does not seem to be a problem in new winsys
Comment 16 Marian Mirilovic 2005-07-14 07:55:25 UTC
verified in NB.dev(200507131800)/closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo